%cmg_corrplot generate cmg correlation plot
%
% Note: this tool requires the econometrics toolbox

function cmg_corrplot

filename = 'cmg_monte_carlo_data/cmgmc-19-30000.mat';

% load data
load(filename);

%cols = {'V' 'NV' 'E' 'G' 'VE' 'VG' 'NVE' 'NVG' 'ALL'};
%cols = {'VE' 'VG' 'NVE' 'NVG'};
%cols = {'V' 'NV' 'E' 'G'};
cols = {'V' 'NV' 'E' 'G' 'VE' 'VG' 'NVE' 'NVG'};
num_col = length(cols);
num_sample = 10000;

summary_matrix = zeros(num_sample,num_col);

% compute sums
for i = 1:num_col
    col = cols{i};
    col_selector = MC.hist_idx.(col);
    summary_matrix(:,i) = sum(MC.decision_matrix(1:num_sample,col_selector),2);
end

summary_data = mat2dataset(summary_matrix,'VarNames',cols);
corrplot(summary_data,'testR','on')
f = gcf();
print(f,'-dpng','cmg_corrplot.png');

end