#!/bin/bash

# Sun Grid Engine job script for CMG Monte Carlo simulation

#$ -N cmg_monte_carlo_batch
#$ -cwd
#$ -t 1-106
#$ -tc 106
#$ -V

# change the following lines to redirect stdout and stderr
#$ -o /dev/null
#$ -e /dev/null

NUM_SAMPLES=30000
NUM_ACTIVE=$((${SGE_TASK_ID}-1))

# load matlab (may not be required)
module load matlab

# perform cmg monte carlo simulations
matlab -nodesktop -r "cmg_setup; cmg_monte_carlo(${NUM_ACTIVE},${NUM_SAMPLES}); exit;"
