%cmg_pvalue  compute pvalue associated with hypotheses again random results

function cmg_pvalue

% load hypothesis results
hypo = cmg_json_load('hypothesis_decision_counts.json');
hypo_f = fields(hypo);

% select comparison {'ALL', 'NV', 'V', ...}
map_set = 'ALL';
fprintf('selected map set: %s\n',map_set);

for i = 1:length(hypo_f)
    hypo_k = hypo_f{i};
    % get number of active classes
    num_classes = hypo.(hypo_k).('num_classes');
    % load the monte carlo results
    mc_filename = sprintf('cmg_monte_carlo_data/cmgmc-%d-30000.mat',num_classes);
    load(mc_filename);
    % get the number of decisions
    num_decisions = hypo.(hypo_k).(map_set);
    % print the pvalues
    fprintf('%s: %g\n',hypo_k,p_value(num_decisions,MC.(map_set)));
    %keyboard
end

end

function pval = p_value(sample,dist)
%p_value  compute p value of sample against dist
% note: remember that matlan indices start at 1
pval = sum(dist(sample+1:end)) / sum(dist);
end
