%cmg_run_hypothesis run maps to get decision counts for hypothesis sets

function cmg_run_hypothesis

% load all maps
data_files = cmg_json_load('data_csv_list.json')';
Gset = cmg_import_set(data_files,'data_csv/','.csv',0,';');

% construct bnet set
bnet_set = cmg_bnet_set(Gset);

% get set of all classes
all_classes = cmg_all_classes(Gset);

% decision set cell array
dec_set = {'nv','v'};

% map type indices
map_idx.ALL = 1:27;
map_idx.NV = 1:14;
map_idx.NVE = 1:8;
map_idx.NVG = 9:14;
map_idx.V = 15:27;
map_idx.VE = 15:21;
map_idx.VG = 22:27;

% get fields of map_idx
map_idx_f = fields(map_idx);

% load hypothesis file
hypo = cmg_json_load('hypothesis_class_sets.json');
hypo_f = fields(hypo);

% run cmgs with hypothesis set and collect results
for i = 1:length(hypo_f)
  hypo_key = hypo_f{i};
  fprintf('running %s\n',hypo_key);
  S = cmg_sample_set(Gset,bnet_set,hypo.(hypo_key),{},dec_set);
  result.(hypo_key).('num_classes') = length(hypo.(hypo_key));
  result.(hypo_key).('decision_maps') = data_files(S.map_lx);
  for j = 1:length(map_idx_f)
    map_idx_key = map_idx_f{j};
    % save result
    result.(hypo_key).(map_idx_key) = sum(S.map_lx(map_idx.(map_idx_key)));
  end
end

% save results to json file
cmg_json_save(result,'hypothesis_decision_counts.json');

end
