%cmg_setup  add toolboxes to matlab path
%
% This function tells Matlab where to look for software that we are using
% in this project.
%

function cmg_setup

% get current location
cmg_dir = pwd;

% add bnt tools to matlab path
cd('toolbox/bnt')
addpath(genpathKPM(pwd))
cd('../..')

% add cmg directory to matlab path
addpath(cmg_dir)

% add cmg_src directory to matlab path
addpath([cmg_dir '/cmg_src'])

% add bgl tools to matlab path
if strcmp(computer,'MACI64')
  addpath([cmg_dir '/toolbox/bgl-mac64'])
else
  addpath([cmg_dir '/toolbox/bgl'])
end

% add graphviz tools to matlab path
addpath([cmg_dir '/toolbox/graphviz'])

% add cell2csv to matlab path
addpath([cmg_dir '/toolbox/cell2csv'])

% add suplabel to matlab path
addpath([cmg_dir '/toolbox/suplabel'])

% add parse_json to matlab path
addpath([cmg_dir '/toolbox/jsonlab'])

% if mac, add certain directories to PATH environment variable
setenv('PATH',['/usr/local/bin:/usr/texbin:' getenv('PATH')]);

end
