# CMG Matlab Utilities

The Matlab files in this directory implement the CMG data processing and
simulation:

- reading CMG `.csv` files into Matlab structures for process
- simulating decisions made given selections of input belief classes

## Description of files

<pre>
| file                 | description                                                     |
|----------------------+-----------------------------------------------------------------|
| cmg_Pstr2Pcell       | convert from Pstr to Pcell format                               |
| cmg_active_inference | return logical index of active inferences                       |
| cmg_adj_mat          | construct a adjacency matrix from cog map data                  |
| cmg_all_classes      | Return list of all classes from a set of cmg structs            |
| cmg_bnet             | construct bnet object from cmg struct                           |
| cmg_bnet_set         | Construct a set of bnets from a set of cmgs                     |
| cmg_sp2c             | compute shortest distance to pure consequents in cmg struct     |
| cmg_data_check       | print a xls or csv with data for checking                       |
| cmg_expand           | expands predicate consequent lists                              |
| cmg_find_count       | count the number of times elements from a sample set appear     |
| cmg_findstr          | find strings in a cell array of strings                         |
| cmg_import           | import a cognitive map graph from a csv or xls file             |
| cmg_import_class_db  | import class-superclass database from xls file                  |
| cmg_import_set       | import a set of cmgs from a cell array of filenames             |
| cmg_inf_filter       | filter inferences by count                                      |
| cmg_inf_str          | generate inference string from predicate and consequent strings |
| cmg_load_json        | read in data from a json file                                   |
| num2strcell          | create a cell of string from a numeric array                    |
| cmg_pure_consequents | return cell array of classes that are pure consequents          |
| cmg_pure_predicates  | return cell array of classes that are pure predicates           |
| cmg_repeat           | repeat list of inferences based on a count                      |
| cmg_sample           | generate a sample from a cmg given evidence                     |
| cmg_sample_set       | sample from a set of cognitive maps                             |
| cmg_setup            | add toolboxes to matlab path                                    |
| cmg_split_inf_str    | split inference string into parts                               |
| cmg_str_rmws         | remove all white space in cell array of strings                 |
| cmg_struct           | generate cmg struct from predicate and consequent cells         |
| cmg_test_dag         | checks if a cognitive map graph is a dag                        |
| cmg_translate        | convert classes according to a class-superclass database        |
| cmg_unique_count     | count the unique strings in a cell array of strings             |
| cmg_viz              | generate a visualization of a congitive map graph               |
| cmg_viz_2            | generate a visualization of a congitive map graph               |
</pre>
