%cmg_Pstr2Pcell convert from Pstr to Pcell format
%
% Example:
%   Pstr = {'a'; 'a;b'};
%   Pcell = cmg_Pstr2Pcell(Pstr);
%   Pcell{:}
%    ans = 
%       'a'
%    ans = 
%       'a'
%       'b'
%
% Input:
%   Pstr = cell array of predicate set strings (individual predicates are separated by ;)
%
% Output:
%   Pcell = cell array of predicate set cells
%

function Pcell = cmg_Pstr2Pcell(Pstr)

if ischar(Pstr)
  % if Pstr is a string, return a cell with the separated predicate set
  Pcell = textscan(Pstr,'%s','Delimiter',';');
  Pcell = Pcell{:};
  return;
end

% the input should be a cell array, iterate and recur
Psize = size(Pstr);
Pcell = cell(Psize);

for i = 1:prod(Psize)
  Pcell{i} = cmg_Pstr2Pcell(Pstr{i});
end

end

