%cmg_sp2c  compute shortest distance to pure consequents in cmg struct
%
% Compute shortest distance from all nodes to pure consequents in cmg
% struct.
%
% Input:
%  G = cmg struct
%
% Output:
%  D = array of unweighted distances from all nodes to pure consequents.
%      Column D(:,i) refers to consequent G.cons_ix(i).
%

function D = cmg_d2c(G)

% get indices from adjacency matrix
[i j a] = find(G.A);

% generate new unweighted adjacency matrix
A = sparse(i,j,1,G.n,G.n);

% compute all shortest paths
D = all_shortest_paths(A);

% restrict to pure consequents
D = D(:,G.cons_ix);

end