%cmg_findstr  find strings in a cell array of strings
%
% Input:
%   X = cell array of strings
%   S = sample set of strings, can be a cell array of strings
%
% Output:
%   Y = logical index of located strings
%

function Y = cmg_findstr(X,S)

% if sample is a string, convert to a cell with one element
if ischar(S)
  S = {S};
end

% orient input and compute sizes
S = S(:);
S_length = length(S);
X_size = size(X);
X_length = prod(X_size);

% allocate output
Y = false(X_size);

% loop through X
for i = 1:X_length
  % look through each sample string
  for j = 1:S_length
    % set logical vector to true if string matches
    Y(i) = Y(i) | strcmp(X{i},S{j});
  end
end

end