%cmg_import_class_db  import class-superclass database from xls file

function [class_db C SC] = cmg_import_class_db(filename)

% get info on the file
[status sheets format] = xlsfinfo(filename);

if strcmp(status,'')
  % could not open the file
  error('cmg_import_class_db:xlsread is unable to read file: %s',filename);
end

% read the file
[num txt raw] = xlsread(filename);
% variable txt is now populated with the tabular data from the excel file

% extract and trim the data
C = txt(:,1);
SC = txt(:,2);

C = cmg_trim1(C);
SC = cmg_trim1(SC);

% load into map
n = length(C);
class_db = containers.Map();

for i = 1:n
  class_db(C{i}) = SC{i};
end

end


function T1 = cmg_trim1(T)
%cmg_trim  trim all strings in cell array of strings 

n = length(T);
T1 = cell(n,1);

for i = 1:n
  T1{i} = strtrim(T{i});
end

end