%cmg_inf_filter  filter inferences by count
%
% Input:
%  Pstr = cell array of predicate set strings
%  C = cell array of consequent strings
%  filter_level = filter inferences below this number
%
% Output:
%  Pstr_filter = cell array of filtered predicate set strings
%  C_filter = cell array of filtered predicate set strings
%  inf_cnt = inference count
%

function [Pstr_filter C_filter inf_cnt] = cmg_inf_filter(Pstr,C,filter_level)

% get all inference strings
inf_str = cmg_inf_str(Pstr,C);

% find unique inference strings and get counts
[inf_uniq inf_cnt] = cmg_unique_count(inf_str);

% filter
inf_filt = inf_cnt >= filter_level;
inf_uniq = inf_uniq(inf_filt);
inf_cnt = inf_cnt(inf_filt);

% split inference strings back to predicate sets and consequents
[Pstr_filter junk C_filter] = cmg_split_inf_str(inf_uniq);

end