%cmg_repeat  repeat list of inferences based on a count
%
% Usage:
%  [Pstr_rep C_rep] = cmg_repeat(Pstr,C,cnt)
%
% Input:
%  Pstr = cell array of predicate set strings
%  C = cell array of consequent strings
%  cnt = inference count
%
% Output:
%  Pstr_rep = repeated Pstr
%  C_rep = repeated C
%

function [Pstr_rep C_rep] = cmg_repeat(Pstr,C,cnt)

n = length(Pstr);
m = sum(cnt);

Pstr_rep = cell(m,1);
C_rep = cell(m,1);

k = 1;
for i = 1:n
  for j = 1:cnt(i)
    Pstr_rep{k} = Pstr{i};
    C_rep{k} = C{i};
    k = k + 1;
  end
end

end
