%cmg_split_inf_str  split inference string into parts
%
% Input:
%  inf_str = cell array of inference strings
%
% Output:
%  Pstr = cell array of predicate set strings
%  Pcnt = cell array of predicate set counts
%  C = cell array of consequent strings
%

function [Pstr Pcnt C] = cmg_split_inf_str(inf_str)

  n = length(inf_str);
  Pstr = cell(n,1);
  Pcnt = zeros(n,1);
  C = cell(n,1);

  for i = 1:n
    [Pstr{i} Pcnt(i) C{i}] = cmg_split_inf_str_helper(inf_str{i});
  end
  
end

function [Pstr Pcnt C] = cmg_split_inf_str_helper(inf_str)
% helper to handle single instance
  
  [Pstr C] = strtok(inf_str,'>');
  C = strrep(C,'>','');
  Pstr = strtrim(Pstr);
  C = strtrim(C);
  
  Pcnt = length(strfind(Pstr,';')) + 1;
  
end


