%cmg_translate  convert classes according to a class-superclass database

function Gset_out = cmg_translate(Gset_in,class_db,inference_count)

if nargin < 3 || isempty(inference_count)
  inference_count = 0;
end

n = length(Gset_in);

for i = 1:n
  P = cmg_translate_op(Gset_in(i).P,class_db);
  C = cmg_translate_op(Gset_in(i).C,class_db);
  Gset_out(i) = cmg_struct(P,C,Gset_in(i).name,inference_count);
end

end


function Y = cmg_translate_op(X,class_db)
%cmg_translate_op  perform translate operation on cell arrays of classes
%
% Simply performs the map between classes and superclasses based on
% information in class_db
%

% if X is a cell we can recur into the structure
if iscell(X)
  s = size(X);
  Y = cell(s);
  n = prod(s);
  for i = 1:n
    Y{i} = cmg_translate_op(X{i},class_db);
  end
  return;
end

% X is now a string ans we can simply translate it
Y = class_db(X);

end