%cmg_unique_count  count the unique strings in a cell array of strings
%
% Input:
%  X = input cell array of strings
%
% Output:
%  unique_set = unique set of string
%  count = count of each unique string in X
%

function [unique_set count] = cmg_unique_count(X)
  
  X = X(:);
  X = sort(X);
  unique_set = unique(X);
  unique_set = unique_set(:);
  
  n = length(unique_set);
  count = zeros(n,1);
  
  for i = 1:n
    count(i) = sum(cmg_findstr(X,unique_set{i}));
  end
  
end