# CMG Data Files

This directory contains the cognitive map data collected from 27 individuals.
The file names have form `[D]-[C]-[#].csv`.  The first part `[D]` refers to
decision class and can be either `NV` for a nonviolent decision or `V` for a
violent decision.  The second part `[C]` refers to the individual's home country
where `E` is for Egypt and `G` is for Germany.  The final part `[#]` is a number
to uniquely identify the files.

The data files are semi-colon (`;`) delimited text files.  For example, the file
`NV-E-01.csv` contains the lines:

```
"domination-by-home-state";"peaceful-activity-against-home-state"
"peaceful-activity-against-home-state";"aggression-by-home-state"
...
"superiority-of-state-structures;aggression-by-home-state";"nv"
...
```

Each line corresponds to an inference.  For example, the first line shown above
represents the inference "**if** _domination by home state_ **then** _peaceful
activity against home state_".  The first column (before the `;`) contains the
predicate class and the second column contains the consequent class.

Some inferences have a compound predicate representing an "and" statement.  For
example the third line shown above represents the inference "**if** _superiority
of state structures_ **and** _aggression by home state_ **then** _nv_".
Compound predicates are contained inside of quotes (`"`) and are separated by
semi-colons (`;`).
