# External tools for CMG

The CMG code relies on several external Matlab utilities described below.  A
makefile is provided to download and unpack `bgl` and `bnt`.

* Matlab BGL (`bgl` and `bgl-mac64`)
  * Matlab interface to [Boost Graph Library][3]
  * <http://www.cs.purdue.edu/homes/dgleich/packages/matlab_bgl/old/matlab_bgl_4.0_osx64.zip>
  * <http://www.mathworks.com/matlabcentral/fileexchange/downloads/97722/download>

* [Matlab Bayes Net Toolbox][4] (`bnt`)
  * <https://bnt.googlecode.com/files/FullBNT-1.0.7.zip>

* `cell2csv/`
  * Writes a Matlab cell array to a csv file
  * Downloaded from [Matlab file exchange][1]
  * Distributed under [BSD License][2]

* `graphviz/`
  * Matlab interface to [Graphviz](http://www.graphviz.org/) tools
  * <http://www.mathworks.com/matlabcentral/fileexchange/4518-matlab-graphviz-interface>
  * <https://github.com/graphviz4matlab/graphviz4matlab>

* `suplabel/`
  * Helper function for "super" labels on subplots
  * <http://www.mathworks.com/matlabcentral/fileexchange/7772-suplabel/>

* `jsonlab/`
  * Utility to save and load json files in Matlab
  * <http://iso2mesh.sourceforge.net/cgi-bin/index.cgi?jsonlab>
  * Distributed under BSD and GPL3

[1]: http://www.mathworks.com/matlabcentral/fileexchange/4400-cell-array-to-csv-file--cell2csv-m-
[2]: http://www.mathworks.com/matlabcentral/fileexchange/view_license?file_info_id=4400
[3]: http://www.boost.org/doc/libs/1_55_0/libs/graph/doc/index.html
[4]: https://code.google.com/p/bnt/

## Instructions

It is a simple matter to download the dependencies if your system has the `make`
and `curl` utilities.  Simply run `make` from this directory to download and
unpack `bgl` and `bnt`.
